## libutempter 1.2.1

=== Makefile ===
#
# Copyright (C) 2001-2005,2010  Dmitry V. Levin <ldv@altlinux.org>
#
# Makefile for the libutempter project.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

PROJECT = utempter
VERSION = $(shell sed '/^Version: */!d;s///;q' libutempter.spec)
MAJOR = 0

SHAREDLIB = lib$(PROJECT).so
SONAME = $(SHAREDLIB).$(MAJOR)
STATICLIB = lib$(PROJECT).a
MAP = lib$(PROJECT).map

TARGETS = $(PROJECT) $(SHAREDLIB) $(STATICLIB)

INSTALL = install
libdir = /usr/lib
libexecdir = /usr/lib
includedir = /usr/include
mandir = /usr/share/man
man3dir = $(mandir)/man3
DESTDIR =

WARNINGS = -W -Wall -Waggregate-return -Wcast-align -Wconversion \
	-Wdisabled-optimization -Wmissing-declarations \
	-Wmissing-format-attribute -Wmissing-noreturn \
	-Wmissing-prototypes -Wpointer-arith -Wredundant-decls \
	-Wshadow -Wstrict-prototypes -Wwrite-strings
COMPILE_DIALECT = -std=gnu99
COMPILE_LFS =
COMPILE_PIC = -fPIC
COMPILE_PIE = -fPIE
LINK_PIE = -pie
LINK_NOW = -Wl,-z,now
LINK_RELRO = -Wl,-z,relro
LINK_STATS = -Wl,-stats
override CPPFLAGS := $(COMPILE_DIALECT) $(COMPILE_LFS) -DLIBEXECDIR=\"$(libexecdir)\" $(CPPFLAGS)
override CFLAGS := $(WARNINGS) $(CFLAGS) $(RPM_OPT_FLAGS)
override LDFLAGS := $(LINK_RELRO) $(LINK_STATS) $(LDFLAGS)
LDLIBS =

all: $(TARGETS)

%.os: %.c
	$(COMPILE.c) $(COMPILE_PIC) $< $(OUTPUT_OPTION)

$(PROJECT): utempter.c diag.h
	$(LINK.c) $(COMPILE_PIE) $(LINK_PIE) $(LINK_NOW) $(LDLIBS) $< $(OUTPUT_OPTION)

$(SHAREDLIB): iface.os $(MAP)
	$(LINK.o) -shared \
		-Wl,-soname,$(SONAME),--version-script=$(MAP),-z,defs \
		-lc $< $(OUTPUT_OPTION)

$(STATICLIB): iface.o
	$(AR) $(ARFLAGS) $@ $<
	-ranlib $@

iface.os: iface.c utempter.h diag.h

iface.o: iface.c utempter.h diag.h

install:
	mkdir -p $(DESTDIR)$(libdir) $(DESTDIR)$(libexecdir)/$(PROJECT) \
		$(DESTDIR)$(includedir) $(DESTDIR)$(man3dir)
	$(INSTALL) -p -m2711 $(PROJECT) $(DESTDIR)$(libexecdir)/$(PROJECT)/
	$(INSTALL) -p -m644 $(PROJECT).h $(DESTDIR)$(includedir)/
	$(INSTALL) -p -m755 $(SHAREDLIB) $(DESTDIR)$(libdir)/$(SHAREDLIB).$(VERSION)
	$(INSTALL) -p -m644 $(STATICLIB) $(DESTDIR)$(libdir)/
	ln -s $(SHAREDLIB).$(VERSION) $(DESTDIR)$(libdir)/$(SONAME)
	ln -s $(SONAME) $(DESTDIR)$(libdir)/$(SHAREDLIB)
	$(INSTALL) -p -m644 $(PROJECT).3 $(DESTDIR)$(man3dir)/
	for n in lib$(PROJECT) utempter_add_record utempter_remove_record \
	    utempter_remove_added_record utempter_set_helper; do \
		ln -s $(PROJECT).3 $(DESTDIR)$(man3dir)/$$n.3; \
	done

clean:
	$(RM) $(TARGETS) iface.o iface.os core *~

## libutempter 1.1.5

=== debian/changelog ===
libutempter (1.1.5-4build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 09:43:01 +0100

libutempter (1.1.5-4) unstable; urgency=low

  * Use getent instead of grep /etc/group. (Closes: #614258)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 14:10:59 +0200

libutempter (1.1.5-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump debhelper build dependency version to 7.4.15.
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules:
    - Enable parallel build ().
    - List missing files ().
    - Call chown before chmod.
    - Change utempter permissions to world-readable (2755). (Closes: #573015)
  * Update debian/libutempter0.lintian-overrides file.
  * Add debian/libutempter0.symbols file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Apr 2010 14:19:47 +0300

libutempter (1.1.5-2) unstable; urgency=low

  * Update debian/control:
    - Add dependency on adduser to libutempter0.
    - Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Aug 2009 09:52:07 +0200

libutempter (1.1.5-1) unstable; urgency=low

  * Initial release. (Closes: #541021)

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 09:55:23 +0200

=== debian/control ===
Source: libutempter
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15)
Standards-Version: 3.9.1
Section: libs
Homepage: http://freshmeat.net/projects/libutempter

Package: libutempter-dev
Section: libdevel
Architecture: any
Depends: libutempter0 (= ${binary:Version}), ${misc:Depends}
Description: A privileged helper for utmp/wtmp updates (development)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 This package contains development files required to build
 utempter-based software.

Package: libutempter0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: A privileged helper for utmp/wtmp updates (runtime)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 The utempter is a privileged helper used by libutempter library to manipulate
 utmp and wtmp files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --list-missing

override_dh_fixperms:
	dh_fixperms
	chown root:utmp debian/libutempter0/usr/lib/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/utempter/utempter

.PHONY: override_dh_auto_test

## libutempter 1.1.6

=== debian/changelog ===
libutempter (1.1.6-4) unstable; urgency=medium

  * Set myself as new maintainer (Closes: #879388)
  * Update vcs fields accordingly
  * Bump to compat level 12
  * Bump to std version 4.4.1
  * Enable all hardening options in d/rules
  * Add autopkg testsuite
  * Convert d/copyright to machine-readable format
  * Add standard salsa-ci configuration, exclude reprotest for chown failures
  * Remove unneeded ignore file for list-missing
  * Explicit set Build-Depends-Package in d/libutempter0.symbols
  * Explicit set Rules-Requires-Root to binary-targets
  * Add C compiler -Wextra flag in d/rules
  * Patches:
    - Convert to gbp style
    - add: Mark old interfaces as deprecated
    - add: Validate given hostname (Closes: #689562)

 -- Christian Göttsche <cgzones@googlemail.com>  Mon, 30 Sep 2019 23:37:44 +0200

libutempter (1.1.6-3) unstable; urgency=medium

  * Team upload.
  * Drop the postinst script, the files that were getting chowned are in a
    different location now, no chown needed. (Closes: #814647) Thanks to
    Andreas Beckmann for reporting.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Feb 2016 19:47:33 +0100

libutempter (1.1.6-2) unstable; urgency=medium

  * Team upload.
  * Merge with Ubuntu. (Closes: #812956)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 09 Feb 2016 19:43:36 +0100

libutempter (1.1.6-1ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 03:34:45 +0100

libutempter (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to debhelper compat level 9.
    - Exports build flags.
  * Don't overwrite build flags from the environment in the Makefile.
    - Add Add keep_env_build_flags.diff
  * Add a watch file, thanks to David Gilman. (Closes: #747483)
  * Add Vcs-* control fields.
  * Improve package descriptions.
  * Retire utempter system group. (Closes: #698858, #545184)
    - Make /usr/lib/utempter root:root owned. (Closes: #698590)
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Enable hardening flags pie and bindnow. (Closes: #759751)
    - Add filter_pie_shared_lib.diff so the PIE flags are filtered when
      building the shared library.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Jun 2015 16:56:04 +0200

=== debian/control ===
Source: libutempter
Priority: optional
Maintainer: Christian Göttsche <cgzones@googlemail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Section: libs
Homepage: http://git.altlinux.org/people/ldv/packages/?p=libutempter.git
Vcs-Browser: https://salsa.debian.org/cgzones-guest/libutempter
Vcs-Git: https://salsa.debian.org/cgzones-guest/libutempter.git

Package: libutempter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libutempter0 (= ${binary:Version}), ${misc:Depends}
Description: privileged helper for utmp/wtmp updates (development)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 This package contains development files required to build
 utempter-based software.

Package: libutempter0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: privileged helper for utmp/wtmp updates (runtime)
 The libutempter library provides interface for terminal emulators such as
 screen and xterm to record user sessions to utmp and wtmp files.
 .
 The utempter is a privileged helper used by libutempter library to manipulate
 utmp and wtmp files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wextra

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chown root:utmp debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: test-helper, test-library1, test-library2
Depends: @, build-essential

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
 http://ftp.altlinux.org/pub/people/ldv/utempter/libutempter-([\d\.]+)\.tar\.bz2

## libutempter 1.2.1

=== debian/changelog ===
libutempter (1.2.1-4) unstable; urgency=medium

  * d/control: bump to std version 4.7.0 (no further changes)
  * d/rules: enable LTO
  * d/salsa-ci.yml: enable build twice job
  * d/copyright: bump year
  * d/patches: ignore failure on nonexistent utmp (Closes: #1085482)
  * d/tests: skip tests if utmp file does not exist

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 12 Nov 2024 21:49:18 +0100

libutempter (1.2.1-3) unstable; urgency=medium

  * d/control:
    - use https link in homepage
    - bump to std version 4.6.2 (no further changes)
  * d/rules: make use of execute_after_
  * d/libutempter0.lintian-overrides: update format
  * d/copyright: correct license of utempter.3 and update years
  * d/patches: cherry-pick commit logging PPID on error
  * d/upstream: add minimal metadata

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 26 Feb 2023 16:21:54 +0100

libutempter (1.2.1-2) unstable; urgency=medium

  * d/control: bump to std version 4.5.1 (no further changes)
  * d/patches:
    - add patch to silence successful invocations (Closes: #976398)
    - multiarch-location: update authorship
    - use upstream patch for printing invalid character

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 05 Dec 2020 20:05:13 +0100

libutempter (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

  * Make autopkgtests cross-test-friendly
    Based on Ubuntu patch by Steve Langasek <steve.langasek@ubuntu.com>
  * d/control:
    - bump to debhelper compat level 13
    - update vcs fields
  * debian: run wrap-and-sort
  * d/watch: scan for .tar.gz and bump version
  * d/upstream/signing-key.asc: update key to A8041FA839E16E36
  * d/copyright: update years
  * d/patches: drop patches incorporated upstream and rebase

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 24 Oct 2020 21:31:47 +0200

libutempter (1.1.6-6) unstable; urgency=medium

  * d/patches: silence all intentional omits of copying null-character
    Should fix FTBFS on kfreebsd

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 16 Apr 2020 20:30:17 +0200

libutempter (1.1.6-5) unstable; urgency=medium

  * d/rules: fail on compiler warnings
  * d/control: bump to std version 4.5.0 (no further changes)
  * d/patches:
    - resolve/silence compiler warnings
    - cast to unsigned char before character handling function
    - log errors in setgid helper to syslog
  * d/upstream/signing-key.asc: re-export key without extra signatures

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 14 Apr 2020 20:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libutempter
 Priority: optional
 Maintainer: Christian Göttsche <cgzones@googlemail.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Section: libs
-Homepage: http://git.altlinux.org/people/ldv/packages/?p=libutempter.git
-Vcs-Browser: https://salsa.debian.org/cgzones-guest/libutempter
-Vcs-Git: https://salsa.debian.org/cgzones-guest/libutempter.git
+Homepage: https://git.altlinux.org/people/ldv/packages/?p=libutempter.git
+Vcs-Browser: https://salsa.debian.org/cgzones/libutempter
+Vcs-Git: https://salsa.debian.org/cgzones/libutempter.git
 
 Package: libutempter-dev
 Section: libdevel
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: privileged helper for utmp/wtmp updates (runtime)
  The libutempter library provides interface for terminal emulators such as
  screen and xterm to record user sessions to utmp and wtmp files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_CFLAGS_MAINT_APPEND = -Werror -Wextra
export DEB_CPPFLAGS_MAINT_APPEND = -DUTEMPTER_LOG

%:
	dh $@

execute_after_dh_fixperms:
	chown root:utmp debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
	chmod 2755 debian/libutempter0/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter

=== debian/tests/control ===
Tests: test-helper, test-library1, test-library2
Depends: build-essential, @
Restrictions: skippable

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
 http://ftp.altlinux.org/pub/people/ldv/utempter/libutempter-([\d\.]+)\.tar\.(?:bz2|gz)
